Biopython and Python 2.6 (and Python 2.3)

Many of you will be aware that Python 2.6 was released a month ago (October 1st, 2008). This supports a lot of new syntax and functionality, but also deprecates some old modules (e.g. the sets module).

While Biopython 1.48 does mostly work with Python 2.6, we’ve been testing with Python 2.6 and have fixed a number of deprecations or breakages in our CVS repository. If using Biopython with Python 2.6 is important to you, please help out by testing the CVS code (which needs NumPy and not Numeric) and letting us know on the mailing list or bugzilla if we’ve missed anything.

The next release of Biopython should support Python 2.3 to 2.6 inclusive đŸ™‚

However, the bad news is that we are considering dropping support for Python 2.3 after only a couple more releases – please get in touch via the mailing list ASAP if this will cause you problems.

This entry was posted in Biopython, Development and tagged . Bookmark the permalink.